Loading...
Searching...
No Matches
Magick::DrawableGravity Class Reference
Inheritance diagram for Magick::DrawableGravity:

## Public Member Functions

| DrawableGravity (GravityType gravity_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | gravity (GravityType gravity_)
GravityType | gravity (void) const

## Private Attributes

GravityType | _gravity

## Detailed Description

Definition at line 1091 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableGravity()

Magick::DrawableGravity::DrawableGravity | ( | GravityType | gravity_ | ) |

inline

Definition at line 1094 of file Drawable.h.

: _gravity(gravity_)
{
}

## ~DrawableGravity()

Magick::DrawableGravity::~DrawableGravity | ( | void |  | ) |

Definition at line 839 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableGravity::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 847 of file Drawable.cpp.

{
return new DrawableGravity(*this);
}

## gravity() [1/2]

void Magick::DrawableGravity::gravity | ( | GravityType | gravity_ | ) |

inline

Definition at line 1107 of file Drawable.h.

{
_gravity = gravity_;
}

## gravity() [2/2]

GravityType Magick::DrawableGravity::gravity | ( | void |  | ) | const

inline

Definition at line 1111 of file Drawable.h.

{
return _gravity;
}

## operator()()

void Magick::DrawableGravity::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 842 of file Drawable.cpp.

{
DrawSetGravity( context_, _gravity );
}

## Field Documentation

## _gravity

GravityType Magick::DrawableGravity::_gravity

private

Definition at line 1117 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp